Skip to main content
Get Stored Fields

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

Tablename, Context

GetStoredFields: Get all stored fields for a given tablename/entity and context

Tablename
string
Context
string

Response

OK

CanSupportMultiUse
boolean

Can the field support multi use?

DefaultShowInGui
boolean

Default show in Gui?

DefaultShowInSelector
boolean

Default show in selector?

IsActive
boolean

True if the field and operations will be used in the bulk update

Key
string

The unique key on the field

ValueType
string

Describes the expected value array

Mandatory
boolean

True if this is a mandatory field

EncodedDisplayName
string

The displayname of the field

EncodedDisplayDescription
string

The description of the field

IconHint
string

The iconhint of the field

ControlInfos
object[]

Array of the controlinfos

EncodedDataCaption
string
EncodedDataCaptionDescription
string
CurrentOperationType
string

The selected operation to execute on this field

Values
string[]

The values to be set on this field on this bulkupdate

DisplayValues
string[]

The displayvalues to be set on this field on this bulkupdate, used to resolve when values array contains ids

OperationInfos
object[]

Array of the available operations for this field